Skip to main content
GET
/
v2
/
organizations
/
{orgId}
/
memberships
Get all memberships
curl --request GET \
  --url https://api.cal.com/v2/organizations/{orgId}/memberships
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/memberships"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cal.com/v2/organizations/{orgId}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": 123,
    "userId": 123,
    "teamId": 123,
    "accepted": true,
    "user": {
      "email": "<string>",
      "avatarUrl": "<string>",
      "username": "<string>",
      "name": "<string>",
      "bio": "<string>",
      "metadata": {
        "key": "value"
      }
    },
    "attributes": [
      {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>",
        "option": "<string>",
        "optionId": "<string>"
      }
    ],
    "disableImpersonation": true
  }
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required

Query Parameters

take
number
default:250

Maximum number of items to return

Required range: 1 <= x <= 250
Example:

25

skip
number
default:0

Number of items to skip

Required range: x >= 0
Example:

0

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required